crashpad::MinidumpModuleCodeViewRecordWriter Class Reference

The base class for writers of CodeView records referenced by MINIDUMP_MODULE::CvRecord in minidump files. More...

`#include "minidump/minidump_module_writer.h"`

Inheritance diagram for crashpad::MinidumpModuleCodeViewRecordWriter:

## Additional Inherited Members

Public Member Functions inherited from crashpad::internal::MinidumpWritable
virtual bool | WriteEverything (FileWriterInterface *file_writer)
| Writes an object and all of its children to a minidump file. More...
void | RegisterRVA (RVA *rva)
| Registers a file offset pointer as one that should point to the object on which this method is called. More...
void | RegisterLocationDescriptor (MINIDUMP_LOCATION_DESCRIPTOR *location_descriptor)
| Registers a location descriptor as one that should point to the object on which this method is called. More...
Protected Types inherited from crashpad::internal::MinidumpWritable
enum | State
| Identifies the state of an object. More...
enum | Phase
| Identifies the phase during which an object will be written to a minidump file. More...
Protected Member Functions inherited from crashpad::internal::MinidumpWritable
State | state () const
| The state of the object.
virtual bool | Freeze ()
| Transitions the object from kStateMutable to kStateFrozen. More...
virtual size_t | SizeOfObject ()=0
| Returns the amount of space that this object will consume when written to a minidump file, in bytes, not including any leading or trailing padding necessary to maintain proper alignment. More...
virtual size_t | Alignment ()
| Returns the object’s desired byte-boundary alignment. More...
virtual std::vector< MinidumpWritable * > | Children ()
| Returns the object’s children. More...
virtual Phase | WritePhase ()
| Returns the object’s desired write phase. More...
size_t | WillWriteAtOffset (Phase phase, FileOffset *offset, std::vector< MinidumpWritable *> *write_sequence)
| Prepares the object to be written at a known file offset, transitioning it from kStateFrozen to kStateWritable. More...
virtual bool | WillWriteAtOffsetImpl (FileOffset offset)
| Called once an object’s writable file offset is determined, as it transitions into kStateWritable. More...
bool | WritePaddingAndObject (FileWriterInterface *file_writer)
| Writes the object, transitioning it from kStateWritable to kStateWritten. More...
virtual bool | WriteObject (FileWriterInterface *file_writer)=0
| Writes the object’s content. More...
Static Protected Attributes inherited from crashpad::internal::MinidumpWritable
static constexpr size_t | kInvalidSize = std::numeric_limits<size_t>::max()
| A size value used to signal failure by methods that return `size_t`.

## Detailed Description

The base class for writers of CodeView records referenced by MINIDUMP_MODULE::CvRecord in minidump files.

The documentation for this class was generated from the following files:

- minidump/minidump_module_writer.h
- minidump/minidump_module_writer.cc